*,
*::before,
*::after {
  box-sizing: border-box;
}

html, body {
    margin: 0;
    padding: 0;
    height: 100%; /* Важно для 100% высоты */
    font-family: "Nunito", sans-serif;
    font-weight: 400;
}

.show_flex {
    display: flex!important;
}

.show {
    display: block!important;
}

.hide {
    display: none!important;
}

.main_page {
    display: flex;
    flex-direction: row;
    justify-content: start;
    height: 100%;
}

.default_colour {
    background-color: #0E609A!important;
}

.active_el {
    background-color: #dbefdb61;
}

.not_active_el {
    background-color: #ead0d07d;
}

.main_page_aside {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: self-start;
    width: 264px;
    border-right: 2px solid #1274ba;
}

.logo.main_page {
    margin-top: 0;
    padding: 16px 0 16px 16px;
    justify-content: start;
    width: 262px;
    height: 106px;
    border: 0
}

.btn_main_page {
    width: 262px;
    display: flex;
    justify-content: start;
    padding: 6px 16px 6px 24px;
    align-items: center;
    color: #000000;
    font-weight: 500;
    font-size: 14px;
    margin-bottom: 24px;
    border: 2px solid transparent;
    border-left: 0;
    border-right: 0;
}

.btn_main_page > * {
    pointer-events: none;
}

.btn_main_page img {
    width: 24px;
}

.btn_main_page_text {
    margin-left: 16px;
}

.btn_main_page:hover, .logout_btn_main_page:hover {
    cursor: pointer;
    border: 2px solid #1274ba;
    border-left: 0;
    border-right: 0;
    background-color: #f1f1f1;
}

.btn_main_page.active {
    border-right: 5px solid;
    border-color: #0E609A;
    color: #0E609A;
    border-bottom-color: transparent;
    border-top-color: transparent;
}

.btn_main_page.active img {
    filter: brightness(0) saturate(100%) invert(30%) sepia(98%) saturate(1200%) hue-rotate(182deg) brightness(92%) contrast(105%);
}

.main_page_exit_block {
    position: absolute;
    left: 0;
    bottom: 0;
}

.logout_btn_main_page {
    border: 0;
    border-top: 1px solid #b70f0f;
    color: #b70f0f;
    font-weight: 700;
}

.logout_btn_main_page:hover {
    border: 0;
    border-top: 2px solid #cb1010;
    color: #cb1010;
}

.menu_btn_block {
    position: absolute;
    top: 18px;
    right: 16px;
    cursor: pointer;
}

.menu_btn_block:hover {
    transform: scale(1.2);
    transition-duration: 0.1s;
}

.menu_block {
    width: 160px;
    position: absolute;
    top: 40px;
    right: 40px;
    padding: 16px;
    border-radius: 8px;
    background-color: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0.2);;
    box-shadow: 1px 2px 2px rgba(0, 0, 0, 0.25);
    animation-duration: 0.3s;
}

.menu_elements_block {
    display: flex;
    flex-direction: column;
}

.menu_element {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
}

.menu_element > a {
    text-decoration: none; /* Убирает подчеркивание */
    color: inherit;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
}

.menu_element.exit_btn {
    color: #E92D13;
}


.menu_element .menu_element_icon {
    margin-right: 12px;
}

/* Страницы */

.main_module_block {
    width: calc(100% - 264px);
    padding: 16px 0;
}

.history_row_info {
    height: 174px;
}

.module_table_block {
    width: 100%;
    height: 740px;
    max-height: 740px; 
    overflow-y: auto;
}

.module_table_block.small_module_table_block {
    margin-top: 0;
    height: 420px;
    max-height: 420px; 
}

.base_table > thead {
    color: #8C8C8C;
    background-color: #FAFAFA;
    height: 80px;
    font-weight: 700;
    display: table;
    width: 100%;
    table-layout: fixed;
}

.base_table > thead > tr {
    border-bottom: 2px solid #8C8C8C;
}

.base_table > thead > tr > td {
    padding: 12px 8px;
}

.base_table_body {
    display: block;
    height: 640px; 
    overflow-y: auto;
    overflow-x: clip;
}

.base_table_body > tr {
    border-bottom: 1px solid #8C8C8C;
    display: table; 
    width: 100%;
    table-layout: fixed;
}

.base_table_body > tr > td {
    padding: 12px 8px;
}

.base_table_body > tr:hover {
    cursor: pointer;
    background-color: #f1f1f1;
}

.base_table_body.small_table_body {
    height: unset;
}

.base_table_pagination_block {
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
}

.base_table_pagination {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 8px;
    margin-left: 32px;
}

.pagination_counter {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 16px;
}

.pagination_current_page {
    background-color: #FAFAFA;
    font-size: 16px;
    padding: 12px 0 12px 12px;
    max-width: 60px;
}

.base_commands_line {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 0 16px;
    margin-bottom: 16px;
    margin-top: 10px;
}

.base_btn {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border: 2px solid #0E609A;
    padding: 12px;
}

.edit_user, .edit_task {
    margin-right: 8px;
}

/* Блок задач планировщика*/

.show_scheduler_tasks_block {
    padding-left: 16px;
}

.base_h1 {
    padding: 16px;
    font-size: 26px;
    border-bottom: 2px solid rgba(0,0,0,0.4);
}


/* Модальное окно */

.modal_fade {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9996;
}

.modal {
    background-color: #ffffff;
    position: relative;
    width: 540px;
    
    box-shadow: 0 4px 16px rgba(0,0,0,0.4);
    border: 2px solid #0E609A;
    z-index: 9997;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 24px;
    padding-top: 0;
    animation: showing 0.6s normal;
}

.modal.ask_modal {
    height: 340px;
}

.base_close_modal_times {
    position: absolute;
    right: 8px;
    top: 8px;
}

.modal_header {
    padding: 32px 24px 24px 24px;
    border-bottom: 3px solid #0E609A;
}

.modal_content {
    padding: 24px;
}

.modal_title {
    font-size: 24px;
    color: #0E609A;
    text-transform: uppercase;
    text-align: center;
}

.base_modal_field {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    margin-bottom: 24px;
}

.base_modal_field.checkbox_field {
    flex-direction: row;
    align-items: center;
}

.radio_field_block {
    margin-top: 8px;
}

.time_field_block {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
}

.time_field {
    width: 56px;
    padding: 8px 8px 8px 16px;
    border: 2px solid #0E609A;
    font-size: 18px;
    height: 46px;
}

.base_modal_field > label {
    font-size: 18px;
    color: #000000;
    margin-bottom: 8px;
}

.base_modal_field > label.for_checkbox {
    display: block;
    font-size: 18px;
    color: #000000;
    margin-bottom: 0;
}

.base_modal_field > input {
    font-size: 18px;
    width: 100%;
    padding: 8px 8px 8px 16px;
    border: 2px solid #0E609A;
    height: 46px;
}

.base_modal_field.checkbox_field > input {
    width: 32px;
    height: 32px;
    margin-right: 16px;
}

.modal_actions {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-top: 32px;
}

.base_close_modal_btn {
    width: 30%;
    padding: 16px;
    color: #ffffff;
    background-color: #CA2029;
    margin-right: 5%;
}

.close_delete_receiver_modal_btn {
    background-color: #0E609A;
}

.base_submit_btn {
    width: 65%;
    padding: 16px;
    color: #ffffff;
    background-color: #0E609A;
}

.with_red {
    background-color: #CA2029; 
}

.delete_receiver_btn {
   background-color: #CA2029; 
}

.edit_receiver {
    margin-right: 8px;
}

.spinner {
    animation: rotateAction 2s linear infinite;
}

@keyframes showing {
  0% { opacity: 0; }
  50% { opacity: 0.95; }
  100% { opacity: 1; }
}

/* Анимация вращения */
@keyframes rotateAction {
  from {
    transform: rotate(0deg); /* Начальный угол */
  }
  to {
    transform: rotate(360deg); /* Конечный угол (полный оборот) */
  }
}

/* Notice */

@keyframes blink {
  0% { opacity: 1; scale: 1; }
  50% { opacity: 0.95; scale: 1.040; }
  100% { opacity: 1; scale: 1; }
}

.notice_block {
    position: absolute;
    top: 32px;
    right: 32px;
    color: #ffffff;
    padding: 16px;
    max-width: 25%;
    min-width: 240px;
    box-shadow: 0 4px 16px rgba(0,0,0,0.4);
    z-index: 10000;
    animation: blink 1s infinite;
}

.notice_block.green {
    background-color: #77C288;
    border: 2px solid #5d946a;
}

.notice_block.yellow {
    background-color: #EFA614;
    border: 2px solid #bb820f;
}

.notice_block.red {
    background-color: #CA2029;
    border: 2px solid #98181F;
}

.notice_title {
    font-size: 20px;
    margin-bottom: 16px;
    border-bottom: 1px solid #ffffff;
}